🌍 Astrocartography API and βœ‹ Palmistry API are now live. Ship them in your app today.Get Started

House Cusps Tropical

The house_cusps/tropical API returns the zodiac sign and degree for each house in a person's natal chart, as well as the ascendant, midheaven, and vertex values.
POSThttps://json.astrologyapi.com/v1/house_cusps/tropical

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en, Spanish - es, Portuguese - pt, French - fr, Italian - it, German - de, Russian - ru.

Body parameters

dayintrequired

Date of birth, eg: 10

monthintrequired

Month of birth, eg: 5

yearintrequired

Year of birth, eg: 1990

hourintrequired

Hour of birth, eg: 19

minintrequired

Minute of birth, eg: 55

latfloatrequired

Latitude, eg: 19.2056

lonfloatrequired

Longitude, eg: 25.2056

tzonefloatrequired

Timezone, eg: 5.5

house_typestringrequired

Default : placidus // koch/topocentric/poryphry/equal_house/whole_sign

curl --location 'https://json.astrologyapi.com/v1/house_cusps/tropical' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "day": 10,
    "month": 5,
    "year": 1990,
    "hour": 19,
    "min": 55,
    "lat": 19.2056,
    "lon": 25.2056,
    "tzone": 5.5,
    "house_type": "placidus"
}'
Try it

Runs with sample data β€” no API key needed

{
  "houses": [
    {
      "house": 1,
      "sign": "Cancer",
      "degree": 114.19653
    },
    {
      "house": 2,
      "sign": "Leo",
      "degree": 141.2691
    },
    {
      "house": 3,
      "sign": "Virgo",
      "degree": 171.57387
    },
    {
      "house": 4,
      "sign": "Libra",
      "degree": 203.53114
    },
    {
      "house": 5,
      "sign": "Scorpio",
      "degree": 234.90372
    },
    {
      "house": 6,
      "sign": "Sagittarius",
      "degree": 264.98561
    },
    {
      "house": 7,
      "sign": "Capricorn",
      "degree": 294.19653
    },
    {
      "house": 8,
      "sign": "Aquarius",
      "degree": 321.2691
    },
    {
      "house": 9,
      "sign": "Pisces",
      "degree": 351.57387
    },
    {
      "house": 10,
      "sign": "Aries",
      "degree": 23.53114
    },
    {
      "house": 11,
      "sign": "Taurus",
      "degree": 54.90372
    },
    {
      "house": 12,
      "sign": "Gemini",
      "degree": 84.98561
    }
  ],
  "ascendant": 138.21237548900893,
  "midheaven": 47.54697697669932,
  "vertex": 235.92360650178892
}